### Function

# GLib Node new

#### Declaration [src]

    GNode*
    g_node_new (
      gpointer data
    )

#### Description [src]

Creates a new `GNode` containing the given data. Used to create the first node in a tree.

This function is not directly available to language bindings.

#### Parameters

`data`

  Type: `gpointer`

  The data of the new node.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GNode`

A new `GNode`.

The data is owned by the called function.